Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20180108
Release:	1
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
# http://downloadcenter.intel.com/, enter "processor microcode data file" to the search
Source0:	http://downloadmirror.intel.com/27431/eng/microcode-%{version}.tgz
# Source0-md5:	871df55f0ab010ee384dabfc424f2c12
# Tool for splitting Intel's microcode file. From Fedora
Source1:	intel-microcode2ucode.c
# Produces single file for use by boot loader (like grub)
Source2:	intel-microcode2ucode-single.c
BuildRequires:	cpio
Provides:	microcode-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%package initrd
Summary:	Microcode for initrd
Summary(pl.UTF-8):	Mikrokod dla initrd
Group:		Base

%description initrd
Intel microcode for initrd.

%description initrd -l pl.UTF-8
Mikrokod dla procesorów Intel dla initrd.

%prep
%setup -qc


%build
if ! grep -q 0x00000000 microcode.dat; then
	echo >&2 microcode.dat contains giberrish
	exit 1
fi

%{__cc} %{rpmcflags} %{rpmcppflags} %{rpmldflags} -Wall -o intel-microcode2ucode %{SOURCE1}
%{__cc} %{rpmcflags} %{rpmcppflags} %{rpmldflags} -Wall -o intel-microcode2ucode-single %{SOURCE2}

./intel-microcode2ucode microcode.dat > 1.log
./intel-microcode2ucode-single microcode.dat > 2.log

install -d kernel/x86/microcode
ln microcode.bin kernel/x86/microcode/GenuineIntel.bin
echo kernel/x86/microcode/GenuineIntel.bin | cpio -o -H newc -R 0:0 > intel-ucode.img

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/boot}

cp -a intel-ucode $RPM_BUILD_ROOT/lib/firmware
cp -p intel-ucode.img $RPM_BUILD_ROOT/boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/lib/firmware/intel-ucode

%files initrd
%defattr(644,root,root,755)
/boot/intel-ucode.img
%changelog
* Tue Jan 09 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Tue Jan 09 2018 Jan Palus <atler@pld-linux.org> e7ade0a
- up to 20180108

* Mon Nov 27 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 4806c0f
- up to 20171117

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> e168b89
- re-entrant install

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 4584837
- omit exit 1, set -e is active

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 476af78
- build noarch package

* Mon Sep 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ca91a51
- rel 2; produce single file that can be used by grub

* Wed Jul 12 2017 Elan Ruusamäe <glen@pld-linux.org> 06763ab
- add todo about intel-microcode2ucode

* Tue Jul 11 2017 Jan Palus <atler@pld-linux.org> 877fc5b
- up to 20170707

* Sun Jun 04 2017 Jan Palus <atler@pld-linux.org> cb16f35
- up to 20170511

* Mon Nov 21 2016 Jan Palus <atler@pld-linux.org> 18a05fb
- up to 20161104

* Thu Jul 21 2016 Jan Palus <atler@pld-linux.org> 887306f
- up to 20160714

* Thu Dec 31 2015 Jan Palus <atler@pld-linux.org> b6bec10
- up to 20151106

* Wed Mar 11 2015 Jan Rękorajski <baggins@pld-linux.org> 73ca58a
- added x32
- rel 2

* Sun Mar 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fc10116
- up to 20150121

* Fri Sep 26 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fb5da7c
- up to 20140913; TSX disabled on Haswell

* Mon Sep 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b2198c
- up to 20140624

* Sun Sep 15 2013 Jan Palus <jan.palus@gmail.com> 6b88420
- up to 20130906

* Fri Apr 05 2013 Jan Palus <jan.palus@gmail.com> ceb7839
- up to 20130222

* Thu Oct 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b4a24a
- up to 20120606 v2

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 1db93e8
- pl

